Bug 1122470 - Teiid Designer doesn't clean up vdb.xml properly (Data Roles - conditions)
Summary: Teiid Designer doesn't clean up vdb.xml properly (Data Roles - conditions)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 10:45 UTC by Matus Makovy
Modified: 2015-11-17 18:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Teiid Designer was not deleting permission tags cleanly from vdb.xml. A code change has been applied and, as a result, the tags now delete correctly from the XML file.
Clone Of:
Environment:
Last Closed: 2015-11-17 18:07:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2260 Minor Closed Teiid Designer doesn't clean up vdb.xml properly (Data Roles - conditions) 2014-11-17 16:25:38 UTC

Description Matus Makovy 2014-07-23 10:45:29 UTC
I don't know if it is a bug or there is some reason for that.

When I create a condition for Data Role(& Save VDB) and then remove the condition(& Save VDB) Teiid Designer doesn't delete whole <permission> tag only the <condition> tag

For example:
Before removing

<permission>
<resource-name>Products_view.PRODUCTDATA</resource-name>
<condition constraint="true">ISAMEXINT=1</condition>
</permission>

After removing:

<permission>
<resource-name>Products_view.PRODUCTDATA</resource-name>
</permission>

I my opinion Teiid Designer should delete whole <permission> tag and leave nothing behind, in case this tag contains only <resource-name> tag

Comment 1 JBoss JIRA Server 2014-07-23 16:17:49 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2260 to Resolved

Comment 2 Matus Makovy 2014-09-02 09:22:34 UTC
verified on 8.3.4

Comment 3 JBoss JIRA Server 2014-11-17 16:25:39 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2260 to Closed


Note You need to log in before you can comment on or make changes to this bug.